Still being maintained?

Apr 1, 2012 at 1:47 AM

The project takes a dependency on the Azure SDK 1.4, which is about 18 months old.

When I installed it on Azure, it sort of worked, but was crashing regularly.  Is there a way to request diagnostics?

I wanted to switch over to Remote Desktop to diagnose, not so easy with SDK 1.4 unless you're using Visual Studio deployment. All the docs on MSDN are about how to set it up with SDK 1.6.

What are the steps to switch this over to 1.6?

Coordinator
Apr 4, 2012 at 3:04 PM

I'm currently redoing some work on the underlying architecture used by the solution.

SDK v1.6 doesn't ship with the native runtime DLLs, which is needed for the PHP Azure extension. You can use SDK v1.6 to package the files, but you still need SDK v1.4 (or at least the files inside bin\runtimes\base\x86) to run the extension.

The steps needed to remote desktop are the same since Azure SDK v1.3, you will have to edit its ServiceDefinition and ServiceConfiguration manually to add this capability.

Unfortunately it's not possible to use Visual Studio with Moodle due to the huge number of files it have.